#!/usr/bin/env bash

set -euo pipefail

EMERALD_SCRIPT_DIR=$(dirname "$(realpath "$0")")
source "$EMERALD_SCRIPT_DIR"/common.sh

SYSROOT=https://perosar.tilde.team/dl/android-ndk-sysroot-aarch64.tar.xz

DIR=$(mktemp -d)
cd "$DIR"

curl "$SYSROOT" | tar -xJf -

mkdir -vp "$PREFIX"/"$TARGET"/sys-include "$PREFIX"/"$TARGET"/lib

cp -R include/* "$PREFIX"/"$TARGET"/sys-include
cp -R lib/* "$PREFIX"/"$TARGET"/lib

# pthread functionality is provided by libc on android.
echo "INPUT(-lc)" > "$PREFIX"/"$TARGET"/lib/libpthread.a
